IEEE80211_RTS_GET(9)

NAME
ieee80211_rts_get - RTS frame generation function

SYNOPSIS

void ieee80211_rts_get(struct ieee80211_hw * hw, struct ieee80211_vif * vif, const void * frame, size_t frame_len, const struct ieee80211_tx_info * frame_txctl, struct ieee80211_rts * rts);

ARGUMENTS

hw
    pointer obtained from ieee80211_alloc_hw.

vif
    struct ieee80211_vif pointer from the add_interface callback.

frame
    pointer to the frame that is going to be protected by the RTS.

frame_len
    the frame length (in octets).

frame_txctl
    struct ieee80211_tx_info of the frame.

rts
    The buffer where to store the RTS frame.

DESCRIPTION

If the RTS frames are generated by the host system (i.e., not in hardware/firmware), the low-level driver uses this function to receive the next RTS frame from the 802.11 code. The low-level is responsible for calling this function before and RTS frame is needed.

AUTHOR

Johannes Berg <johannes@sipsolutions.net>
    Author.

COPYRIGHT